Subject: Re: Problem running emacs under XP
From: "Martin Gainty" <[email-masked]>
To: "martin cohen" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 19 Jul 2003 18:20:43 -0700

Lets start with a known start point
do a
cygcheck xhost
and display the results for us
Thanks,
-M
----- Original Message -----
From: "martin cohen" <[email-masked]>
To: "Martin Gainty" <[email-masked]>
Sent: Saturday, July 19, 2003 3:10 PM
Subject: Re: Problem running emacs under XP

> Please excuse my ignorance, but what do I enter for
> localhost and how to I enter it?
>
> Thanks
>
> Martin Cohen
>
> --- Martin Gainty <[email-masked]> wrote:
> > shamelessly copied from "Configuring XWindows"
> > One way to avoid this problem is to allow all connections
> > from the local
> > machine.
> >
> >
> > [root]# xhost +localhost
> >
> >
> > Hth
> > Martin
> > ----- Original Message -----
> >
> > From: "martin cohen" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Saturday, July 19, 2003 1:05 PM
> > Subject: Problem running emacs under XP
> >
> >
> > > I installed cygwin in my D: partition under Win XP.
> > > Running startx results in the usual screen and the
> > > 3 windows. However, when I type in my usual
> > > "emacs . &", I get this
> > >
> > > emacs: cannot connect to X server :0.0.
> > > Check the DISPLAY evironment variable or use '-d'.
> > > Also use the 'xhost' program to verify that it is set
> > to
> > > permit
> > > connections from your machine.
> > >
> > > When I enter "xhost +", I get this
> > >
> > > xhost: unable to open display ":0.0"
> > >
> > > Here are my environment variables:
> > >
> > > !C:=C:\Documents and Settings\Marty
> > > !D:=D:\cygwin\bin
> > > ALLUSERSPROFILE=C:\Documents and Settings\All Users
> > > APPDATA=C:\Documents and Settings\Marty\Application
> > Data
> > > COMMONPROGRAMFILES=C:\Program Files\Common Files
> > > COMPUTERNAME=COHEN-RZ22G
> > > COMSPEC=C:\WINDOWS\system32\cmd.exe
> > > CVS_RSH=/bin/ssh
> > > DISPLAY=:0.0
> > > HOME=/home/Marty
> > > HOMEDRIVE=C:
> > > HOMEPATH=\Documents and Settings\Marty
> > > HOSTNAME=Cohen-RZ22G
> > > LOGNAME=Marty
> > > LOGONSERVER=\\COHEN-RZ22G
> > > MAKE_MODE=unix
> > > MANPATH=:/usr/ssl/man
> > > NUMBER_OF_PROCESSORS=1
> > > OS=Windows_NT
> > >
> >
>
PATH=/usr/local/bin:/usr/bin:/bin:/cygdrive/c/WINDOWS/system32:/cygdrive/c/W
> > INDOWS:/cygdrive/c/WINDOWS/System32/Wbem:/usr/X11R6/bin
> > >
> > PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH
> > > PROCESSOR_ARCHITECTURE=x86
> > > PROCESSOR_IDENTIFIER=x86 Family 15 Model 2 Stepping 7,
> > > GenuineIntel
> > > PROCESSOR_LEVEL=15
> > > PROCESSOR_REVISION=0207
> > > PROGRAMFILES=C:\Program Files
> > > PROMPT=$P$G
> > > PS1=\[\033]0;\w\007
> > > \033[32m\]\u@\h \[\033[33m\w\033[0m\]
> > > $
> > > PWD=/home/Marty
> > > SESSIONNAME=Console
> > > SHLVL=2
> > > SYSTEMDRIVE=C:
> > > SYSTEMROOT=C:\WINDOWS
> > > TEMP=/cygdrive/c/DOCUME~1/Marty/LOCALS~1/Temp
> > > TERM=xterm
> > > TEXMF={/usr/share/lilypond/1.6.8,/usr/share/texmf}
> > > TMP=/cygdrive/c/DOCUME~1/Marty/LOCALS~1/Temp
> > > USER=Marty
> > > USERDOMAIN=COHEN-RZ22G
> > > USERNAME=Marty
> > > USERPROFILE=C:\Documents and Settings\Marty
> > > WINDIR=C:\WINDOWS
> > > WINDOWID=8388622
> > > XAUTHORITY=/home/Marty/.Xauthority
> > > _=/usr/bin/env
> > >
> > > I am sure there is some simple configuration file I am
> > not
> > > setting up, since do the same thing worked find on a
> > Win
> > > 2000 machine. The only difference, aside from XP vs
> > 2000,
> > > is that I had no problems with cygwin on C:, and the
> > > problems here on D:.
> > >
> > > Thanks
> > >
> > > Martin Cohen
> > >
> > >
> > > __________________________________
> > > Do you Yahoo!?
> > > SBC Yahoo! DSL - Now only $29.95 per month!
> > > http://sbc.yahoo.com
> > >
> > > --
> > > Unsubscribe info:
> > http://cygwin.com/ml/#unsubscribe-simple
> > > Problem reports:       http://cygwin.com/problems.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> > >
> > >
>
>
> __________________________________
> Do you Yahoo!?
> SBC Yahoo! DSL - Now only $29.95 per month!
> http://sbc.yahoo.com
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/